// led.c

#include "syslib.h"
#include "F205/dac.h"
#include "F205/gpio.h"
#include "F205/rcc.h"


void
led (int brightness)
{
   if (brightness <   0) {
      GPIOA->MODER4 = MODE_OUTPUT;
      DAC->CR_EN1 = 0;
      return;
   }

   if (brightness > 100) {
      brightness = 100;
   }
   RCC->APB1ENR |= 1 << APB1_DAC;
   GPIOA->MODER4 = MODE_ANALOG;
   DAC->CR_EN1 = 1;
   DAC->DHR12R1 = 1024 + brightness * 28;
   return;
}

