// tz.h
#pragma once
#include <stdint.h>

typedef struct trans_struct {
   uint32_t  time;
   uint32_t  abbrind :  8;
   uint32_t  isdst   :  1;
    int32_t  gmtoff  : 23;
} trans_struct;

typedef struct zone_struct {
   const trans_struct *info;
   const int           tz_id;
   const char         *name;
   const char         *abbrev;
} zone_struct;

