// srecord.h
#pragma once

typedef struct img_st {
  int       hw_ads;
  int       end;
  int       imask;
  int       start_ads;
  uint8_t  *data;
  uint32_t  time;
  int       verno;
  int       revno;
  char      comment[256];
} img_st;

uint32_t srec_header (img_st *image, size_t offset);
img_st  *srec_load (const char *filename);
void     srec_print (const char *name, img_st *img, int bpl, int pic_offset);
void     srec_print_base85 (const char *name, img_st *img, int bpl, char *hdr);
void     srec_print_base64 (const char *filename, img_st *image);
void     srec_print_bin (const char *filename, img_st *image);
// void  gsm_int_print (const char *filename);

