// vdrive.c

#include "F205/iwdg.h"
#include "boot.h"
#include "image-header.h"

// http://stackoverflow.com/questions/14134245/iso-c-void-and-function-pointers
// void (*syslib) (int);
//    * (void **) (&syslib) = *image->crt0;

static const char __attribute__ ((section (".image_header"))) dummy_title[] =
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n"
   "vdrive                                                           vdrive\n";

int
main (int reset_flags)
{
   crt0_type     *syslib;
   image_struct  *image;

   printf ("%s", dummy_title);
   image = find_syslib ();
   if (image == NULL) {
      printf ("syslib not found\n");
      delay_init ();
//    i2c_init ();
//    if (image_from_vdrive ()) {
         printf ("\033[33m\nNo update\033[m\n");
//    }
   } else {
      printf ("%p\n\n", (void *)image);
      syslib = *image->crt0;
      syslib (reset_flags);
   }
   IWDG->KR = IWDG_RELOAD;
   while (1);
}

