// boot.h
#pragma once
#include "image-header.h"

void           crash (void) __attribute__ ((noreturn));
int            crc_check (image_struct *region);
void           delay_init (void);
void           delay_us (uint16_t us);
int            erase_sector (int sector);
image_struct  *find_syslib (void);
int            getchar1 (void);
int            getchar6 (void);
int            i2c_init (void);
int            i2c_output (int magic, int signals, int on);
int            i2c_send_2 (int address, uint8_t tx1, uint8_t tx2);
int            image_from_vdrive (void);
void           led (int brightness);
int            main (int reset_flags);
int            printf (const char *fmt, ...)
                       __attribute__ ((format (printf, 1, 2)));
int            putchar (int c);
int            putchar6 (int c);
int            puts6 (const char *text);
void           sleep_ms (int ms);
void           uart_init (int channel, int baud);
void           uart1_init (int baud);
void           uart6_init (int baud);

