// update-to-srec.c

#include <stdio.h>
#include "../include/base85.h"
#include "fail.h"

int
main (void)
{
   FILE  *rom;
   int    c1;

   rom = fail_or_open_ro ("LTPFLASH.ROM");
   for (;;) {
      c1 = fgetc (rom);
      if (feof (rom)) { break; }
      if (c1 == '#') {
         while (c1 != '\n' && c1 != '\r') {
            c1 = fgetc (rom);
            if (c1 == '\r') {
               c1 = '\n';
            }
            putchar (c1);
         }
      }
   }
   fclose (rom);
   return 0;
}

