/* vdrive.ld */

/* INCLUDE ../memory.ld */

SECTIONS
{
  .image_header : {
     KEEP(*(.image_header))
  } > flash_vdrive

  .text : ALIGN(16) SUBALIGN(16) {
     FILL (0xff)
     *(.text)
     *(.text.*)
     *(.rodata)
     *(.rodata.*)
     *(.gcc*)
     . = ALIGN(4);
text_end = .;
  } > flash_vdrive

  .stack : {
stack = .;
    . += 512;
tos = .;
  } > ram_syslib

  .data : ALIGN(4) {
data_start = .;
     *(.data)
     *(.data*)
data_end = .;
  } > ram_boot AT > flash_vdrive

  .bss : ALIGN(4) {  /* kein SUBALIGN(4), damit z.B.                     */
bss_start = .;       /* logbuf __attribute((aligned(16)))__ funktioniert */
     *(COMMON)
     *(.bss)
     *(.bss*)
bss_end = .;
  } > ram_boot
}

